module Wicoris
  module Postman
    class Logger
      def initialize
        STDOUT.sync = true
      end

      def info(msg)
        event = msg.merge(
          :level => :info,
          :timestamp => Time.now.iso8601
        )
        puts event.to_json
      rescue JSON::ParserError
        puts event.inspect
      end

      def error(msg)
        event = msg.merge(
          :level => :error,
          :timestamp => Time.now.iso8601
        )
        puts event.to_json
      end
    end
  end
end
