require 'cabin'
require 'json'
require 'mixlib/cli'
require 'mixlib/shellout'
require 'mixlib/config'
require 'jlo'
require 'wicoris/postman/version'
require 'wicoris/postman/logger'
require 'wicoris/postman/job'
require 'wicoris/postman/fax_machine'
require 'wicoris/postman/copier'
require 'wicoris/postman/postman'
require 'wicoris/postman/cli'

module Wicoris
  module Postman
    class Config
      extend(Mixlib::Config)

      default :logger, (l = ::Logger.new(STDOUT); l.progname = 'postman'; l.formatter = J.Lo; l)
    end
  end
end
